#include<iostream>

using namespace std;

long long pre[200101];
	
long long parovi[200101];

long long pre2[200101];

long long parovi2[200101];

long long x[200101];

int main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	
	
	// 0 1 2 3 4 5 6 ... n
		
	// par 1 - 0 1
	// par 2 - 1 2 
	// par 3 - 2 3 
	
	// 1 2 3 4 5 6 
	// 12 23 34 45 56 
	
	long long n,m, i, j;
	long long u = 0;	
	long long q;	
		
	cin >> n;
	
	for(i=0;i<n;i++)
	cin >> x[i];
	
	// pre[i] - dobrih praova od 0 do i
	
	if(x[0]>x[1]){
	pre[0] = 1;
	parovi[0] = 1;
	}
	else{
	pre[0] = 0;	
	parovi[0] = 0;	
	}
	
	for(i=1;i<n-1;i++){
		
	if(x[i]>x[i+1])	
		parovi[i] = 1;
	else
		parovi[i] = 0;
	
	pre[i] = pre[i - 1] + parovi[i];
		
	}
	
	if(x[0]>x[2]){
	pre2[0] = 1;
	parovi2[0] = 1;
	}
	else{
	pre2[0] = 0;	
	parovi2[0] = 0;	
	}

	for(i=1;i<n-2;i++){
	
	if(x[i]>x[i+2])
	parovi2[i] = 1;		
	else
	parovi2[i] = 0;
		
	pre2[i] = pre2[i - 1] + parovi2[i];	
		
	}
	
	/*
	for(i=0;i<n-2;i++){
	
	cout << i << '\n';	
		
	cout << "parovi : " << parovi[i] << " " << parovi2[i] << '\n';	
	
	cout << "pre : " << pre[i] << " " << pre2[i] << '\n';	
		
	}
	*/
	
	/*
	for(i=0;i<n-1;i++){
		
	cout << parovi[i] << " ";	
		
	}
	*/
	cin >> q;
	
	long long a, b;
	
	for(i=0;i<q;i++){
		
	cin >> a >> b;	
		
	if(pre[b-1] == pre[a] || ( pre[b-1] == pre[a] + 1 && pre2[a]==pre2[b-2] ) )
	cout << "DA" << '\n';
	else
	cout << "NE" << '\n';		
		
	}
	
	
	
	
	
	
	
	
	
	
	
	return 0;
}